View Issue Details

IDProjectCategoryView StatusLast Update
0003548libextractorother/unknownpublic2017-10-12 14:11
ReporterbeberkingAssigned ToChristian Grothoff 
PrioritylowSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Versioncurrent SVN 
Target Version1.4Fixed in Version1.4 
Summary0003548: Please provide sources for src/plugins/testdata/* or clearly state these are not released under GPL3+
DescriptionMost of the files under src/plugins/testdata/ are binary, and they come without their sources. It should be clear that these are not released under the GPL or there should be a way to retrieve the sources.

For instance, who is the owner of gstreamer_barsandtone.flv and where could we find its sources ?

Thanks,
Bertrand
TagsNo tags attached.

Activities

Christian Grothoff

2014-10-08 17:21

manager   ~0008605

Those are media files created with the respective editing tools, sometimes non-free creating tools as we need to test those formats as well. But the files themselves are _test_ files with no content of significance. Copyright requires the document to be past a certain threshold in terms of creativity, which those files do not meet. So they generally don't have a license as they often fail that threshold test, especially that gstreamer_barsandtone.flv file.

Christian Grothoff

2014-10-08 17:24

manager   ~0008606

Added README in SVN 34354.

Issue History

Date Modified Username Field Change
2014-10-05 18:53 beberking New Issue
2014-10-08 17:21 Christian Grothoff Note Added: 0008605
2014-10-08 17:24 Christian Grothoff Note Added: 0008606
2014-10-08 17:24 Christian Grothoff Status new => resolved
2014-10-08 17:24 Christian Grothoff Fixed in Version => current SVN
2014-10-08 17:24 Christian Grothoff Resolution open => fixed
2014-10-08 17:24 Christian Grothoff Assigned To => Christian Grothoff
2014-10-08 17:25 Christian Grothoff Fixed in Version current SVN => 1.4
2014-10-08 17:25 Christian Grothoff Target Version => 1.4
2017-10-12 14:11 Christian Grothoff Status resolved => closed